UrlMappingMatcher (Grails 6.0.0)

Package: org.grails.plugins.web.interceptors

## [Groovy] Class UrlMappingMatcher

- org.grails.plugins.web.interceptors.UrlMappingMatcher

- All Implemented Interfaces and Traits:
    Matcher

      @groovy.transform.CompileStatic
      class UrlMappingMatcher
      extends java.lang.Object
      implements Matcher

  Used to match UrlMappingInfo instance by Interceptor instances

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `UrlMappingMatcher.ClosureExclude` |
    `static interface` | `UrlMappingMatcher.Exclude` |
    `static class` | `UrlMappingMatcher.MapExclude` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.util.regex.Pattern` | `WILD_CARD_PATTERN` |
    `protected java.util.regex.Pattern` | `actionRegex` |
    `protected java.util.regex.Pattern` | `controllerRegex` |
    `protected java.util.List<Exclude>` | `excludes` |
    `protected Interceptor` | `interceptor` |
    `protected boolean` | `matchAll` |
    `protected java.util.regex.Pattern` | `methodRegex` |
    `protected java.util.regex.Pattern` | `namespaceRegex` |
    `protected org.springframework.util.AntPathMatcher` | `pathMatcher` |
    `protected java.util.List<java.lang.String>` | `uriExcludePatterns` |
    `protected java.util.List<java.lang.String>` | `uriPatterns` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UrlMappingMatcher (Interceptor interceptor)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `doesMatch(java.lang.String uri, UrlMappingInfo info)`
    `` | `boolean` | `doesMatch(java.lang.String uri, UrlMappingInfo info, java.lang.String method)`
    `` | `protected boolean` | `doesMatchInternal(UrlMappingInfo info, java.lang.String method)`
    `` | `Matcher` | `except(java.util.Map arguments)`
    `` | `Matcher` | `excludes(java.util.Map arguments)`
    `` | `Matcher` | `excludes(groovy.lang.Closure<java.lang.Boolean> condition)`
    `` | `protected int` | `hashCode(UrlMappingInfo info)`
    `` | `boolean` | `isExclude()`
    `` | `protected boolean` | `isExcluded(java.lang.String uri, UrlMappingInfo info)`
    `` | `Matcher` | `matchAll()`
    `` | `Matcher` | `matches(java.util.Map arguments)`
    `` | `private java.util.regex.Pattern` | `regexMatch(java.util.Map arguments, java.lang.String type, java.util.regex.Pattern defaultPattern)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static java.util.regex.Pattern WILD_CARD_PATTERN

    - #### protected java.util.regex.Pattern actionRegex

    - #### protected java.util.regex.Pattern controllerRegex

    - #### protected java.util.List<Exclude> excludes

    - #### protected Interceptor interceptor

    - #### protected boolean matchAll

    - #### protected java.util.regex.Pattern methodRegex

    - #### protected java.util.regex.Pattern namespaceRegex

    - #### protected org.springframework.util.AntPathMatcher pathMatcher

    - #### protected java.util.List<java.lang.String> uriExcludePatterns

    - #### protected java.util.List<java.lang.String> uriPatterns

  - ### Constructor Detail

    - #### UrlMappingMatcher(Interceptor interceptor)

  - ### Method Detail

    - #### boolean doesMatch(java.lang.String uri, UrlMappingInfo info)

    - #### boolean doesMatch(java.lang.String uri, UrlMappingInfo info, java.lang.String method)

    - #### protected boolean doesMatchInternal(UrlMappingInfo info, java.lang.String method)

    - #### @java.lang.Override Matcher except(java.util.Map arguments)

    - #### @java.lang.Override Matcher excludes(java.util.Map arguments)

    - #### @java.lang.Override Matcher excludes(groovy.lang.Closure<java.lang.Boolean> condition)

    - #### protected int hashCode(UrlMappingInfo info)

    - #### @java.lang.Override boolean isExclude()

    - #### protected boolean isExcluded(java.lang.String uri, UrlMappingInfo info)

    - #### @java.lang.Override Matcher matchAll()

    - #### @java.lang.Override Matcher matches(java.util.Map arguments)

    - #### private java.util.regex.Pattern regexMatch(java.util.Map arguments, java.lang.String type, java.util.regex.Pattern defaultPattern)